Bug 1006815 - rubygem-thread_safe-0.3.1 is available
rubygem-thread_safe-0.3.1 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rubygem-thread_safe (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Stribny
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks: 1081535 1081545
  Show dependency treegraph
 
Reported: 2013-09-11 06:31 EDT by Upstream Release Monitoring
Modified: 2016-01-04 00:51 EST (History)
3 users (show)

See Also:
Fixed In Version: rubygem-thread_safe-0.3.3-1.fc21
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-08 06:33:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
update to thread_safe 0.3.1 (2.14 KB, patch)
2014-04-04 13:49 EDT, Ken Dreyer
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2013-09-11 06:31:27 EDT
Latest upstream release: 0.1.3
Current version/release in Fedora Rawhide: 0.1.2-3.fc20
URL: http://rubygems.org/api/v1/gems/thread_safe.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Upstream Release Monitoring 2014-02-28 09:39:16 EST
Latest upstream release: 0.2.0
Current version/release in Fedora Rawhide: 0.1.3-3.fc21
URL: http://rubygems.org/api/v1/gems/thread_safe.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 2 Upstream Release Monitoring 2014-03-18 06:30:13 EDT
Latest upstream release: 0.3.0
Current version/release in Fedora Rawhide: 0.1.3-3.fc21
URL: http://rubygems.org/api/v1/gems/thread_safe.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 3 Upstream Release Monitoring 2014-03-20 06:22:37 EDT
Latest upstream release: 0.2.0
Current version/release in Fedora Rawhide: 0.1.3-3.fc21
URL: http://rubygems.org/api/v1/gems/thread_safe.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 4 Upstream Release Monitoring 2014-03-21 15:18:45 EDT
Latest upstream release: 0.3.1
Current version/release in Fedora Rawhide: 0.1.3-3.fc21
URL: http://rubygems.org/api/v1/gems/thread_safe.json

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 5 Ken Dreyer 2014-04-04 13:49:04 EDT
Created attachment 882805 [details]
update to thread_safe 0.3.1

I have a couple gem updates that are queued behind this one, so in case you're busy, I've applied for co-maintainership in pkgdb.

Here's a work-in-progress patch to update to v0.3.1. Upstream is still using test/unit, so we need to convert to thread_safe to support Minitest 5.
Comment 6 Ken Dreyer 2014-04-04 14:54:06 EDT
Here's a work-in-progress patch for Minitest 5 support: https://github.com/headius/thread_safe/pull/43
Comment 7 Josef Stribny 2014-04-08 06:33:07 EDT
Hi Ken,

I updated thread_safe to the latest version (0.3.3) just now[1]. I used your patch for the test suite, thanks.

I also approved you as a co-maintainer. Any help is welcome :).


[1] http://koji.fedoraproject.org/koji/buildinfo?buildID=509776

Note You need to log in before you can comment on or make changes to this bug.